Skip to main content
PUT
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
terms
/
{termId}
Edit term
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/terms/{termId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "lang": "<string>",
  "caseSensitive": true,
  "exactMatch": true,
  "forbidden": true,
  "preferred": true,
  "status": "New",
  "usage": "<string>",
  "note": "<string>",
  "shortTranslation": "<string>",
  "termType": "FULL_FORM",
  "partOfSpeech": "ADJECTIVE",
  "gender": "MASCULINE",
  "number": "SINGULAR",
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ]
}
'
{
  "text": "<string>",
  "id": "<string>",
  "lang": "<string>",
  "rtl": true,
  "modifiedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "caseSensitive": true,
  "exactMatch": true,
  "forbidden": true,
  "preferred": true,
  "status": "New",
  "conceptId": "<string>",
  "usage": "<string>",
  "note": "<string>",
  "writable": true,
  "shortTranslation": "<string>",
  "termType": "<string>",
  "partOfSpeech": "<string>",
  "gender": "<string>",
  "number": "<string>",
  "definition": "<string>",
  "domain": "<string>",
  "subDomains": [
    "<string>"
  ],
  "url": "<string>",
  "conceptNote": "<string>",
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required
termId
string
required

Body

application/json
text
string
required
lang
string
caseSensitive
boolean

Default: false

exactMatch
boolean

Default: false

forbidden
boolean

Default: false

preferred
boolean

Default: false

status
enum<string>
Available options:
New,
Approved
usage
string
note
string
shortTranslation
string
termType
enum<string>
Available options:
FULL_FORM,
SHORT_FORM,
ACRONYM,
ABBREVIATION,
PHRASE,
VARIANT
partOfSpeech
enum<string>
Available options:
ADJECTIVE,
NOUN,
VERB,
ADVERB
gender
enum<string>
Available options:
MASCULINE,
FEMININE,
NEUTRAL
number
enum<string>
Available options:
SINGULAR,
PLURAL,
UNCOUNTABLE
customFields
object[]

Response

successful operation

text
string
required
id
string
lang
string
rtl
boolean
modifiedAt
string<date-time>
createdAt
string<date-time>
modifiedBy
object
createdBy
object
caseSensitive
boolean
exactMatch
boolean
forbidden
boolean
preferred
boolean
status
enum<string>
Available options:
New,
Approved
conceptId
string
usage
string
note
string
writable
boolean
shortTranslation
string
termType
string
partOfSpeech
string
gender
string
number
string
definition
string
domain
string
subDomains
string[]
url
string
conceptNote
string
customFields
object[]